.sb-search {
    position: relative;
    width: 0%;
    min-width:14px;
    height:24px;
    float: right;
    overflow: hidden;
    -webkit-transition: width 0.3s;
    -moz-transition: width 0.3s;
    transition: width 0.3s;
    -webkit-backface-visibility: hidden;
}

.sb-search-input {
    top: 0;
    right:30px;
    border: none;
    outline: none;
    background: #fff;
    width: 80%;
    height:24px;
    margin: 0;
    z-index: 10;
    position: absolute;
    padding-left: 10px;
    font-family: inherit;
    font-size:12px;
    color: #333;
    border-radius:15px;
    border: solid 1px #666;
}

.sb-icon-search,
.sb-search-submit  {
    width: 30px;
    height:30px;
    display: block;
    position: absolute;
    right:0;
    top:-2px;
    padding: 0;
    margin: 0;
    background-color: #fff;
    line-height:14px;
    text-align: center;
    cursor: pointer;
}

.sb-search-submit {
    filter: alpha(opacity=0); /* IE 5-7 */
    opacity: 0;
    color: transparent;
    border: none;
    outline: none;
    z-index: -1;
}

.sb-icon-search {
    z-index: 90;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    background: url(../images/searh-btn.png) no-repeat;
}

/* Open state */
.sb-search.sb-search-open,
.no-js .sb-search {
    width:200px;
    z-index: 99;
    position: relative;
}

.sb-search.sb-search-open .sb-icon-search,
.no-js .sb-search .sb-icon-search {
    background: url(../images/searh-btn.png) no-repeat;
    z-index: 11;
}

.sb-search.sb-search-open .sb-search-submit,
.no-js .sb-search .sb-search-submit {
    z-index: 90;
}
